# You can override the included template(s) by including variable overrides
# SAST customization: https://docs.gitlab.com/ee/user/application_security/sast/#customizing-the-sast-settings
# Secret Detection customization: https://docs.gitlab.com/ee/user/application_security/secret_detection/#customizing-settings
# Dependency Scanning customization: https://docs.gitlab.com/ee/user/application_security/dependency_scanning/#customizing-the-dependency-scanning-settings
# Container Scanning customization: https://docs.gitlab.com/ee/user/application_security/container_scanning/#customizing-the-container-scanning-settings
# Note that environment variables can be set in several places
# See https://docs.gitlab.com/ee/ci/variables/#cicd-variable-precedence
stages:
- test
sast:
  stage: test
include:
- template: Security/SAST.gitlab-ci.yml
image: docker:stable

services:
  - docker:19.03.12-dind

build image:
  script:
    - docker build -t registry.gitlab.com/kaouther.bouhouch/devops-cloud-seance-numero-2 .
    # docker build -t dockerkawther
    - docker login registry.gitlab.com
    # docker login dockerkawther -p $DOKEN_HUB_TOKEN
    - docker push registry.gitlab.com/kaouther.bouhouch/devops-cloud-seance-numero-2
    #docker push dockerkawther